Subject: bug#13177: 24.3.50; doc of `read-char-by-name'

From: "Drew Adams" <[email-masked]>
Date: Fri, 21 Dec 2012 00:04:50 -0800

> > It's called "read-char-by-name", so the intention is pretty 
> > clear: it should return a char.
> 
> Agreed.  I changed read-char-by-name on the trunk to signal 
> an error for invalid input.  (This also avoids other wonky cases,
> e.g. entering ## giving the empty symbol because `read-char-by-name'
> uses `read'...)

I don't understand why you did that, if you agree with Stefan.  He proposed
making `completing-read' require input that represents a valid char.  Why let
`completing-read' accept invalid input and then raise an error saying the input
is invalid?

Sorry, I don't get it - seems not very helpful.

The function should require the user to provide matching input (name or valid
code) or use `C-g' or `C-]' to cancel reading.